<< ar_psd | FOSSEE_Signal_Processing_Toolbox | arch_fit >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > arburg

# arburg

Calculate coefficients of an autoregressive (AR) model of complex data.

### Syntax

    a = arburg(x, poles)
    a = arburg(x, poles, criterion)
    [a, v] = arburg(...)
    [a, v, k] = arburg(...)

### Parameters

x:

  Vector of real or complex numbers, of length > 2.

poles:

  Positive integer value < length(x) - 2.

criterion:

  String value, takes in "AKICc", "KIC", "AICc", "AIC", and "FPE". Default is not using a model-selection criterion.

a:

  List of P+1 autoregression coefficients.

v:

  Mean square of residual noise from the whitening operation of the Burg lattice filter.

k:

  Reflection coefficients defining the lattice-filter embodiment of the model.

### Description

This function calculates coefficients of an autoregressive (AR) model of complex data `x` using the whitening lattice-filter method of Burg. The first argument is the data sampled. The second argument is the number of poles in the model (or limit in case a criterion is supplied). The third parameter takes in the criterion to limit the number of poles. The acceptable values are "AIC", "AKICc", "KIC", "AICc", which are based on information theory.

### Examples

    arburg([1, 2, 3, 4, 5], 2)

Report an issue
<< ar_psd | FOSSEE_Signal_Processing_Toolbox | arch_fit >>